[general]
context=outgoing
allowoverlap=no
bindport=5060
bindaddr=0.0.0.0
srvlookup=yes
registertimeout=20
registerattempts=10
localnet=172.16.0.0/255.255.255.0
nat=yes
insecure=very
language=se
disallow=all
allow=alaw
autocreatepeer=yes 
;--------------------------- SIP DEBUGGING ---------------------------------------------------
;sipdebug = yes			; Turn on SIP debugging by default, from
;recordhistory=yes		; Record SIP history by default 
				; (see sip history / sip no history)
;dumphistory=yes		; Dump SIP history at end of SIP dialogue
				; SIP history is output to the DEBUG logging channel


register => 0850001175:jkSdV5h3@cx-cust-sth03.rixtelecom.se/290   ; uses s as default extension. 
                                                              ; add different extensions if to accept 
                                                              ; differnt incomming numbers from same domain

externip = 212.112.169.93 		; use this address.

[authentication]

;------------------------------------------------------------------------------
; Users and peers have different settings available. Friends have all settings,
; since a friend is both a peer and a user
;
; User config options:        Peer configuration:
; --------------------        -------------------
; context                     context
; callingpres                 callingpres
; permit                      permit
; deny                        deny
; secret                      secret
; md5secret                   md5secret
; dtmfmode                    dtmfmode
; canreinvite                 canreinvite
; nat                         nat
; callgroup                   callgroup
; pickupgroup                 pickupgroup
; language                    language
; allow                       allow
; disallow                    disallow
; insecure                    insecure
; trustrpid                   trustrpid
; progressinband              progressinband
; promiscredir                promiscredir
; useclientcode               useclientcode
; accountcode                 accountcode
; setvar                      setvar
; callerid		      callerid
; amaflags		      amaflags
; call-limit		      call-limit	(deprecated)
; callcounter                 callcounter
; allowoverlap		      allowoverlap
; allowsubscribe	      allowsubscribe
; allowtransfer	      	      allowtransfer
; subscribecontext	      subscribecontext
; videosupport		      videosupport
; maxcallbitrate	      maxcallbitrate
; rfc2833compensate           mailbox
; session-timers             busylevel
; session-expires            
; session-minse              template
; session-refresher          fromdomain
;                            regexten
;                            fromuser
;                            host
;                            port
;                             qualify
;                             defaultip
;                             defaultuser
;                             rtptimeout
;                             rtpholdtimeout
;                             sendrpid
;                             outboundproxy
;                             rfc2833compensate
;                             callbackextension
;                             registertrying
;                             session-timers
;                             session-expires
;                             session-minse
;                             session-refresher
;                             timert1
;                             timerb
;                             qualifyfreq


;[sip_proxy]
; For incoming calls only. Example: FWD (Free World Dialup)
; We match on IP address of the proxy for incoming calls 
; since we can not match on username (caller id)
type=peer
context=numberplan
host=cx-cust-sth03.rixtelecom.se

;[sip_proxy-out]
;type=peer          			; we only want to call out, not be called
;secret=guessit
;defaultuser=yourusername		; Authentication user for outbound proxies
;fromuser=yourusername			; Many SIP providers require this!
;fromdomain=provider.sip.domain	
;host=box.provider.com
;usereqphone=yes			; This provider requires ";user=phone" on URI
;callcounter=yes			; Enable call counter
;busylevel=2				; Signal busy at 2 or more calls
;outboundproxy=proxy.provider.domain	; send outbound signaling to this proxy, not directly to the peer
;port=80				; The port number we want to connect to on the remote side
					; Also used as "defaultport" in combination with "defaultip" settings

;[xlite1]
; Turn off silence suppression in X-Lite ("Transmit Silence"=YES)!
; Note that Xlite sends NAT keep-alive packets, so qualify=yes is not needed
;type=friend
;regexten=1234			; When they register, create extension 1234
;callerid="Jane Smith" <5678>
;host=dynamic			; This device needs to register
;nat=yes			; X-Lite is behind a NAT router
;canreinvite=no			; Typically set to NO if behind NAT
;disallow=all
;allow=gsm			; GSM consumes far less bandwidth than ulaw
;allow=ulaw
;allow=alaw
;mailbox=1234@default,1233@default	; Subscribe to status of multiple mailboxes
;registertrying=yes             ; Send a 100 Trying when the device registers.



[basic-options](!)              ; a template
        dtmfmode=rfc2833
        context=from-office
        type=friend
        disallow=all
        allow=ilbc
        allow=g729
        allow=gsm
        allow=g723
        allow=ulaw

[natted-phone](!,basic-options) ; another template inheriting basic-options
        nat=yes
        canreinvite=no
        host=dynamic

[public-phone](!,basic-options) ; another template inheriting basic-options
        nat=no
        canreinvite=yes

;ip-only
[outgoing]
context=ip-only
disallow=all
allow=alaw,ulaw
canreinvite=yes
dtmfmode=rfc2833
host=82.99.32.86
insecure=very
reinvite=yes
type=friend

[incoming]
allow=alaw,ulaw
context=ip-only
disallow=all
type=user

;rix
[external]
context = numberplan
host=83.140.41.46
port=5060
secret=jkSdV5h3
username=0850001175
localnet=172.16.0.0/255.255.0.0
srvlookup=yes
type=friend
bindaddr=0.0.0.0
insecure=port,invite
